<?php
class autoloader {
    public static $loader;
    public static function init()
    {
        if(self::$loader == NULL) {
            self::$loader = new self();
        }
        return self::$loader;
    }
    public function __construct()
    {
        spl_autoload_register(array($this, 'controller'));
        spl_autoload_register(array($this, 'model'));
        spl_autoload_register(array($this, 'view'));
    }
    public function library($class){
        set_include_path(ROOT_DIR . '/lib');
        spl_autoload_extensions('.php');
        spl_autoload($class);
    }
    public function controller($class){
        set_include_path(ROOT_DIR . '/controller');
        spl_autoload_extensions('.php');
        spl_autoload($class);
    }
    public function helper($class){
        set_include_path(ROOT_DIR .'/helper');
        spl_autoload_extensions('.php');
        spl_autoload($class);
    }
    public function view($class){
        set_include_path(ROOT_DIR .'/view');
        spl_autoload_extensions('.php');
        spl_autoload($class);
    }
    public function model($class){
        set_include_path(ROOT_DIR .'model');
        spl_autoload_extensions('.php');
        spl_autoload($class);
    }
}